xdg-open should probably open file in existing qtcreator instance

Bug #1172844 reported by Michael Thayer on 2013-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
desktop-file-utils (Ubuntu)
Low
Unassigned
qtcreator (Ubuntu)
Medium
Unassigned
qtcreator-plugin-ubuntu (Ubuntu)
Low
Unassigned

Bug Description

When I execute "xdg-open" from the command line on a C++ source file that file gets opened in a new instance of qtcreator, even if one is already running. It might make sense to open the file in an existing instance ("qtcreator -client"). Feel free to close this as "won't fix" if you disagree.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: qtcreator 2.7.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.8.0-14.24-generic 3.8.4
Uname: Linux 3.8.0-14-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Thu Apr 25 20:44:11 2013
InstallationDate: Installed on 2012-11-27 (149 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
SourcePackage: qtcreator
UpgradeStatus: Upgraded to raring on 2013-03-27 (29 days ago)

Michael Thayer (michael-thayer) wrote :
Changed in desktop-file-utils (Ubuntu):
importance: Undecided → Low
Changed in qtcreator (Ubuntu):
importance: Undecided → Low
Changed in qtcreator-plugin-ubuntu (Ubuntu):
importance: Undecided → Low
Changed in desktop-file-utils (Ubuntu):
status: New → Fix Committed
Zoltan Balogh (bzoltan) wrote :

The desktop-file-utils will set the ubuntusdk.desktop to be the default handler for the text/x-c++hdr, text/x-c++src and text/x-xsrc, types in the /usr/share/applications/defaults.list

Additionally the ubuntusdk.desktop file's exec line is extended with the -client parameter to open the edited files in anexisting instance of the QtCreator.

Changed in qtcreator (Ubuntu):
status: New → Fix Committed
importance: Low → Medium
Zoltan Balogh (bzoltan) on 2014-05-13
Changed in qtcreator-plugin-ubuntu (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.22-1ubuntu2

---------------
desktop-file-utils (0.22-1ubuntu2) utopic; urgency=medium

  * debian/defaults.list: set ubuntusdk default for text/x-c++hdr,
    text/x-c++src and text/x-xsrc types (lp: #1172844)
 -- Sebastien Bacher <email address hidden> Tue, 13 May 2014 11:33:26 +0200

Changed in desktop-file-utils (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtcreator-plugin-ubuntu - 3.0.1+14.10.20140515-0ubuntu1

---------------
qtcreator-plugin-ubuntu (3.0.1+14.10.20140515-0ubuntu1) utopic; urgency=low

  [ Zoltán Balogh ]
  * Open file in existing qtcreator instance (LP: #1172844) (LP:
    #1172844)

  [ Benjamin Zeller ]
  * Merge the emulator and device page. Add control facilites for
    emulators. emulator control scripts .

  [ CI bot ]
  * Add a script to wait for the started emulator and return the serial
    number
 -- Ubuntu daily release <email address hidden> Thu, 15 May 2014 15:36:50 +0000

Changed in qtcreator-plugin-ubuntu (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers